Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ReportReason

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ReportReason

Direct Known Subclasses:
  `TdApi.ReportReasonChildAbuse`, `TdApi.ReportReasonCopyright`, `TdApi.ReportReasonCustom`, `TdApi.ReportReasonFake`, `TdApi.ReportReasonIllegalDrugs`, `TdApi.ReportReasonPersonalDetails`, `TdApi.ReportReasonPornography`, `TdApi.ReportReasonSpam`, `TdApi.ReportReasonUnrelatedLocation`, `TdApi.ReportReasonViolence`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.ReportReason extends TdApi.Object permits TdApi.ReportReasonSpam, TdApi.ReportReasonViolence, TdApi.ReportReasonPornography, TdApi.ReportReasonChildAbuse, TdApi.ReportReasonCopyright, TdApi.ReportReasonUnrelatedLocation, TdApi.ReportReasonFake, TdApi.ReportReasonIllegalDrugs, TdApi.ReportReasonPersonalDetails, TdApi.ReportReasonCustom
This class is an abstract base class. Describes the reason why a chat is reported.

## Constructor Summary

Constructors
Constructor
Description
`ReportReason()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ReportReason

public ReportReason()
Default class constructor.